Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 813434 - [apache plugin] timeout used for the HTTP "ping" used by server and vhost avail checks is hard-coded
Summary: [apache plugin] timeout used for the HTTP "ping" used by server and vhost ava...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Plugins
Version: 4.3
Hardware: Unspecified
OS: Unspecified
urgent
high vote
Target Milestone: ---
: RHQ 4.4.0
Assignee: Charles Crouch
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-17 18:46 UTC by Ian Springer
Modified: 2018-11-29 20:06 UTC (History)
4 users (show)

Fixed In Version: 4.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-01 10:17:06 UTC


Attachments (Terms of Use)

Description Ian Springer 2012-04-17 18:46:09 UTC
From WWWUtils.isAvailable():

     HttpURLConnection connection = (HttpURLConnection) httpURL.openConnection();
     connection.setRequestMethod("HEAD");
     connection.setConnectTimeout(3000);
     connection.setReadTimeout(1000);

The timeouts should be configurable...

Comment 1 Ian Springer 2012-04-18 19:57:57 UTC
We now use the PC avail facet timeout, rather than hard-coded value of 3s, as the timeout for HTTP ping avail checks (for both Apache server Resources and VHost service Resources). I also added lots of DEBUG logging to WWWUtils.isAvailable() to aid in debugging connection failures:

master 8a75f68 (http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=8a75f68)

Comment 2 Ian Springer 2012-04-18 20:05:02 UTC
We now also log a DEBUG message if we fail to set the read timeout on the URLConnection:

master 0565698 (http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=0565698)

Comment 3 Ian Springer 2012-04-20 17:03:25 UTC
Add some further improvements to logging and error handling:

master f01a945 
(http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=f01a945)

Comment 6 Heiko W. Rupp 2013-09-01 10:17:06 UTC
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.


Note You need to log in before you can comment on or make changes to this bug.